JD.com Product Details API (V1)
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...
Get JD.com product Details data, including pricing, images, and shop information, for catalog analysis, product monitoring, and ecommerce research.
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
token | query | string | Yes | - | Access token for this API service. |
itemId | query | string | Yes | - | A unique product identifier on JD.com (item ID). |
Code Samples
💡 Environment Note
Use https://api.justoneapi.com (prod-global) by default. In most cases, api.justoneapi.com has normal access speed globally; if users in Mainland China feel it is slow, they can switch the base URL in code to http://47.117.133.51:30015 (prod-cn).
bash
curl -X GET "https://api.justoneapi.com/api/jd/get-item-detail/v1?token=YOUR_API_KEY&itemId=VALUE"text
I want to use the "Product Details (V1)" API from Just One API.
API Endpoint: https://api.justoneapi.com/api/jd/get-item-detail/v1
HTTP Method: GET
Authentication: Append "?token=YOUR_API_KEY" to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/jdcom/product-details-v1-en.json
Parameters:
- token (query): Access token for this API service. (Required)
- itemId (query): A unique product identifier on JD.com (item ID). (Required)
Return format: JSON
Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set request timeout to at least 60 seconds.
3. Business Code Reference:
- 0: Success
- 100: Invalid or Inactive Token
- 301: Collection Failed. Please Retry.
- 302: Rate Limit Exceeded
- 303: Daily Quota Exceeded
- 400: Invalid Parameters
- 500: Internal Server Error
- 600: Permission Denied
- 601: Insufficient Balance
Please help me write a script in my preferred programming language to call this API and handle the response.python
import requests
url = "https://api.justoneapi.com/api/jd/get-item-detail/v1?token=YOUR_API_KEY&itemId=VALUE"
response = requests.get(url)
print(response.json())js
const response = await fetch("https://api.justoneapi.com/api/jd/get-item-detail/v1?token=YOUR_API_KEY&itemId=VALUE", {
method: "GET"
});
const data = await response.json();
console.log(data);java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.justoneapi.com/api/jd/get-item-detail/v1?token=YOUR_API_KEY&itemId=VALUE"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
url := "https://api.justoneapi.com/api/jd/get-item-detail/v1?token=YOUR_API_KEY&itemId=VALUE"
req, _ := http.NewRequest("GET", url, nil)
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}php
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/jd/get-item-detail/v1?token=YOUR_API_KEY&itemId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;Responses
json
{
"code": 0,
"data": {
"errCode": "0",
"retCode": "",
"msg": "",
"bizRetCode": "",
"bizMsg": "",
"areaId": "1_72_55674_0",
"sence": "5",
"shopFloor": {
"shopFloorConfig": {
"enable": true,
"shopTypeDesc": "KA店铺",
"shopType": "jdMarketKA",
"coverBg": "https://storage.360buyimg.com/jxfe/ppms/c/202401/12/d879e677-26b1-43d7-80ee-f36327c33440.png",
"coverLogo": "https://storage.360buyimg.com/jxfe/ppms/c/202312/26/78665af7-71b0-4e00-8ba1-a53474713afc.png",
"coverSpacer": "https://storage.360buyimg.com/jxfe/ppms/c/202312/26/385e1651-45fc-4f50-9692-73be5380e9d4.png",
"coverSlogan": "就是便宜",
"coverGuid": "去逛逛",
"coverArrow": "https://storage.360buyimg.com/jxfe/ppms/c/202312/26/aad8c20c-c491-4ae9-9f57-20ad984be407.png",
"coverToUrl": "https://pro.m.jd.com/mall/active/3YvgtDe88HqZAn1Unyd7FeSsN82P/index.html?superBowlPd=1&babelChannel=ttt42&showhead=no&hideBack=1&forceCurrentView=1&hideAnchorBottomTab=1&venderId=1000223736&skuId=100117219515&categoryId=1316_1381_1396",
"floorBg": "",
"floorToUrl": "",
"shopBottomToUrl": "",
"floorLogo": "",
"shopLabel": "",
"floorSlogan": "",
"buttons": []
}
},
"product": {
"skuId": "100117219515",
"skuName": "黛珂AQ舒活凝光轻润型水乳套装200ml 紧致抗皱保湿护肤品 生日礼物",
"imageurl": "jfs/t1/397608/35/4812/81026/699d5c21F629d92fa/0083320320a1d39e.jpg",
"allnum": "0",
"book": "false",
"spec": "",
"specName": "",
"specSequence": "0",
"salesAttr": "",
"color": "【一般混合肤质】轻润型200mL*2",
"size": "",
"colorSequence": "2",
"sizeSequence": "0",
"erpPid": "100014015268",
"category": "1316,1381,1396",
"cat1": "1316",
"cat2": "1381",
"cat3": "1396",
"skuStatus": "1",
"venderId": "1000223736",
"shopId": "1000223736",
"width": "105",
"height": "66",
"length": "194",
"weight": "0.610",
"brandId": "190767",
"valuePayFirst": "0",
"extend": {
"packType": "1",
"is7ToReturn": "1",
"isOverseaPurchase": "0",
"isJIT": "0",
"storeProperty": "0",
"soldOversea": "7",
"sendService": "0",
"thwa": "2",
"mspd": "0",
"tssp": 0,
"fdms": 0,
"seriesId": "710276",
"platform": "1",
"isPrescriptCat": "0",
"isOTCCat": "0",
"isNewGoods": "1",
"tax": "inputVAT:13,outputVAT:13,consumptionVAT:0",
"features": {
"jdcsk": "1",
"dszt": "1",
"skuNameWithoutBrand": "AQ舒活凝光轻润型水乳套装200ml 紧致抗皱保湿护肤品 生日礼物",
"cxkfl": "1",
"gjyslx": "12",
"gypsshyzt": "102_1,103_2,104_1,105_1,106_1,109_1,110_1,111_1,112_1",
"isrc": "1",
"shortTitle": "黛珂AQ舒活凝光水乳(轻润型)",
"subZtType": "SPGX-XXNZT",
"scznff": "1"
},
"productFeatures": {},
"sfylqx": "0",
"venderBizid": "",
"jdcsk": "1",
"venderAttribute": "",
"giftsGoods": "0",
"isYouImports": "1",
"isdangergoods": "0",
"isJDMarket": "1",
"isLqkt": "1",
"jzfp": false,
"canUseDQ": true,
"canUseJQ": true
},
"productArea": "日本",
"saleDate": "2024-09-02 17:09:44",
"brandName": "黛珂(COSME DECORTE)",
"site": "",
"phone": "",
"wserve": "无质保",
"isDelete": "1",
"skuMark": "0",
"taxInfo": "inputVAT:13,outputVAT:13,consumptionVAT:0",
"shangJia": "bjsfjk",
"venderColType": "0",
"timelinessId": "",
"hasOverallViewAnchor": false,
"showQJImg": false,
"upc": "1001172195159",
"sellPoint": "",
"cBrand": "黛珂(COSME DECORTE)",
"model": "AQ舒活凝光水乳(轻润型)200ml",
"platform": "1",
"productId": "100117219515",
"productType": 10,
"maxCartCat": "999",
"daojia": false,
"jdexpress": false,
"pop": false,
"mainImages": [
"https://img30.360buyimg.com/sku/jfs/t1/397608/35/4812/81026/699d5c21F629d92fa/0083320320a1d39e.jpg",
"https://img30.360buyimg.com/sku/jfs/t1/822/18/26322/17508/66d6f3a5F504724fc/3af8460244812873.jpg",
"https://img30.360buyimg.com/sku/jfs/t1/247738/9/17620/56309/66cd2aa5Ffcedbca9/139fb67a4dd742c7.jpg"
]
},
"newBanner": {
"enable": false,
"fId": "fJdBanner",
"floorName": "腰带楼层",
"fData": {
"ext": {
"isShortItem": false,
"tagId": "10006506",
"operationType": "60toApp",
"activityGroupId": ""
},
"rightIcon": "https://img12.360buyimg.com/imagetools/jfs/t1/390523/18/20180/3739/698db8bbFa87770ee/03e60d901f801da4.png",
"rightIconLink": "https://pro.m.jd.com/mall/active/3c7fPajnafMRzdzKpc5W4y5PLTUn/index.html?mTabId=Md9FMi1pJXg2q7qc8CmE9FNYDS4&babelChannel=ttt212&useFoldTab=1",
"bannerType": 130,
"bannerName": "大促优惠券促销腰带",
"bgImg": "https://img10.360buyimg.com/imagetools/jfs/t1/392962/6/16525/14251/698db8b9Ff75ba3e9/03e62ee0642b7ccf.png"
}
},
"priceFloor": {
"demoteEnable": false,
"price": "6??",
"type": "251",
"ext": {
"jdPrice": "6??",
"realPriceExt": {
"ORIGINAL": {
"salePrice": "1390.00"
},
"JD": {
"discountRate": 5.03,
"limit": false,
"discount": "691.00",
"pid": 352787071432,
"endTime": 1774972799,
"overlying": false
}
}
}
},
"frontStaticDocument": {
"observerConfigsDomId": [
"#samVip",
"#activityFloor",
"#baitiaoDiv",
"#discountFloor",
"#discountGap",
".qq_footer",
"#imk2FixedBottom",
"#peijianBox",
"#imgLabel"
],
"priceFloor": {
"priceLoginText": "登录查看价格"
}
},
"titleShopTagInfo": {},
"noticeFloor": [
{
"type": "share",
"desc": "分享",
"icons": [
"https://img11.360buyimg.com/img/jfs/t1/185923/19/38125/325/64fad71dFeef526f9/f11f072077880807.png"
]
},
{
"type": "collect",
"desc": "收藏",
"icons": [
"https://img10.360buyimg.com/img/jfs/t1/102190/6/45012/397/64fad71dF756823e2/d39f976bcb0a7e1f.png",
"https://img10.360buyimg.com/img/jfs/t1/115254/5/42710/538/64fad71dF7984c6ef/95fc02a25845ca69.png"
],
"status": "0"
},
{
"type": "cutPrice",
"desc": "降价通知",
"icons": [
"https://img11.360buyimg.com/img/jfs/t1/143406/40/38936/332/64fad71dF85fe799a/be862fbe6f0efb0d.png"
]
}
],
"stock": {
"skuId": "100117219515",
"realSkuId": "100117219515",
"ArrivalDate": "",
"sidDely": 2350,
"promiseResult": "23:10前付款,预计<b>明天(03月10日)</b>送达",
"isJDexpress": false,
"StockState": 33,
"rn": 6,
"code": 1,
"weightValue": "0.61kg",
"fxgCode": "0",
"popFxgCode": "0",
"afsCode": 2,
"ir": [
{
"picUrl": "//static.360buyimg.com/item/assets/picon/zhongbiao.png",
"helpLink": "https://help.jd.com/user/issue/91-953.html",
"showName": "211限时达",
"iconSrc": "211限时达",
"iconServiceType": "1",
"iconType": "0",
"resultCode": "1",
"positionCode": "0",
"iconCode": "sendpay_211",
"iconTip": "上午下单,下午送达"
},
{
"picUrl": "//static.360buyimg.com/item/assets/picon/zhongbiao.png",
"helpLink": "//help.jd.com/user/issue/103-983.html",
"showName": "明日达",
"iconSrc": "明日达",
"iconServiceType": "1",
"iconType": "0",
"resultCode": "1",
"positionCode": "4",
"iconCode": "sendpay_nextday",
"iconTip": "指定时间前下单,最快明日达"
},
{
"picUrl": "\\",
"helpLink": "http://help.jd.com/user/issue/126-3780.html ",
"showName": "7天无理由退货(一次性包装破损不支持)",
"iconSrc": "7天无理由退货(一次性包装破损不支持)",
"iconServiceType": "3",
"iconType": "0",
"resultCode": "1",
"positionCode": "0",
"iconCode": "service_qitiantuihuo",
"iconTip": "支持7天无理由退货(一次性包装破损不支持)"
},
{
"picUrl": "https://m.360buyimg.com/babel/jfs/t1/116316/15/7402/1031/5ec22ca4E713f857c/dd49784b20933cf5.png",
"helpLink": "//help.jd.com/user/issue/103-983.html",
"showName": "预约送货",
"iconSrc": "预约送货",
"iconServiceType": "6",
"iconType": "0",
"resultCode": "1",
"positionCode": "1",
"iconCode": "service_yysh",
"iconTip": "京东物流为该商品提供预约送货服务"
},
{
"picUrl": "https://m.360buyimg.com/babel/jfs/t1/108073/34/18517/1071/5ec22ce0E11a3b1c5/f8ffea5f4cafa0f9.png",
"helpLink": "https://help.jd.com/user/issue/103-983.html",
"showName": "部分收货",
"iconSrc": "部分收货",
"iconServiceType": "6",
"iconType": "0",
"resultCode": "1",
"positionCode": "1",
"iconCode": "service_bfsh",
"iconTip": "如果收件人收货时发现部分货物存在缺少配件、物流损等情形,京东物流提供订单半收服务"
},
{
"picUrl": "https://m.360buyimg.com/babel/jfs/t1/115738/37/12143/1066/5f0c7d11E4faee520/de3879572e2b2014.png",
"helpLink": "https://help.jd.com/user/issue/254-4130.html",
"showName": "送货上门",
"iconSrc": "送货上门",
"iconServiceType": "6",
"iconType": "0",
"resultCode": "1",
"positionCode": "1",
"iconCode": "service_sssm",
"iconTip": "京东快递为您提供送货上门服务"
},
{
"picUrl": "//static.360buyimg.com/item/assets/picon/mianyunfei.png",
"helpLink": "//help.jd.com/user/issue/103-983.html",
"showName": "59元免基础运费",
"iconSrc": "59元免基础运费",
"iconServiceType": "4",
"iconType": "0",
"resultCode": "1",
"positionCode": "0",
"iconCode": "free_delivery_zhong",
"iconTip": "所选地址自营订单满59元免基础运费(20kg内),超出重量加收1元/kg续重运费。"
},
{
"picUrl": "https://m.360buyimg.com/babel/jfs/t1/130756/9/11972/4289/5f8674d3Eabfebbef/bb964241bd789a72.png",
"helpLink": "https://help.jd.com/user/issue/list-81.html",
"showName": "京东物流",
"iconSrc": "京东物流",
"iconServiceType": "4",
"iconType": "0",
"resultCode": "1",
"positionCode": "1",
"iconCode": "service_jdwl",
"iconTip": "京东物流为您提供仓配一体供应链服务"
},
{
"picUrl": "https://m.360buyimg.com/babel/jfs/t1/85923/26/10113/3475/5e144da1Ef978a914/d3d44f85b4221cf6.png",
"helpLink": "https://help.jd.com/user/issue/291-548.html",
"showName": "7天价保",
"iconSrc": "7天价保",
"iconServiceType": "3",
"iconType": "0",
"resultCode": "1",
"positionCode": "0",
"iconCode": "service_guominwuyou",
"iconTip": "在下单或签收7天内,商品出现降价可享受价保服务,部分特殊场景不支持价保,可点击”>\"了解详细规则"
},
{
"picUrl": "https://img12.360buyimg.com/cms/jfs/t1/3879/4/2691/1414/5b972bfeE68df6212/fba3cd7b26b3ac1c.png",
"helpLink": "https://help.jd.com/user/issue/942-3837.html",
"showName": "破损包退换",
"iconSrc": "破损包退换",
"iconServiceType": "3",
"iconType": "0",
"resultCode": "1",
"positionCode": "0",
"iconCode": "service_psbth",
"iconTip": "签收后72小时内(鱼缸类商品需24小时内)发现非用户原因商品破损问题,提供退换货或补发商品等服务"
},
{
"picUrl": "https://m.360buyimg.com/babel/jfs/t1/158545/12/11509/26509/6045b01dE63775ae0/5e425a29713ef08c.png",
"helpLink": "https://help.jd.com/user/issue/942-3839.html",
"showName": "过敏无忧",
"iconSrc": "过敏无忧",
"iconServiceType": "3",
"iconType": "0",
"resultCode": "1",
"positionCode": "1",
"iconCode": "service_gmwy1",
"iconTip": "签收后60天内,使用商品出现过敏,在提供有效凭证的情况下,提供退换货服务"
},
{
"picUrl": "//static.360buyimg.com/item/assets/picon/shoutixiang.png",
"helpLink": "//help.jd.com/user/issue/103-983.html",
"showName": "自提",
"iconSrc": "自提",
"iconServiceType": "5",
"iconType": "0",
"resultCode": "1",
"positionCode": "0",
"iconCode": "special_ziti",
"iconTip": "我们提供多种自提服务,包括京东自提点、自助提货柜、京东校园派、京东星配站、京东便民站等服务"
}
],
"promiseYX": {
"iconSrc": "7天无理由退货(一次性包装破损不支持)",
"iconTip": "支持7天无理由退货(一次性包装破损不支持)",
"helpLink": "http://help.jd.com/user/issue/126-3780.html ",
"iconCode": "service_qitiantuihuo",
"resultCode": 1,
"showName": "7天无理由退货(一次性包装破损不支持)",
"picUrl": "\\",
"iconType": 0,
"iconServiceType": 3
},
"self_D": {
"venderId": 1000223736,
"colType": 0,
"shopId": 1000223736,
"shopName": "黛珂(DECORTE)京东自营专区",
"vender": "黛珂(DECORTE)京东自营专区",
"hotLine": "",
"shopWebsite": "http://mall.jd.com/index-1000223736.html",
"po": false
},
"serviceInfo": "由<span class='hl_red'>京东</span> 发货, 供应商提供售后服务. ",
"sid": 2350,
"preStore": -1,
"unifiedServiceTag": {
"enable": true,
"freightIconCodes": [
"free_delivery",
"free_delivery_zhong",
"free_delivery_fresh",
"free_delivery_fresh_zhong",
"Free_nbaoyou",
"Free_nsxbaoyou",
"free_baoyou",
"free_sxbaoyou"
],
"iconServiceTypes": [
"1",
"5",
"6"
],
"tsfw": [
{
"code": "s26",
"desc": "在下单后7天内,商品出现降价可享受价保服务(商品在消费者下单后因参与百亿补贴、政府补贴等活动导致降价不支持价保),可点击“>”了解详细规则",
"helpUrl": "https://ihelp.jd.com/l/help/scene/getSceneDetail?id=337318",
"logoUrl": "//m.360buyimg.com/babel/jfs/t1/166785/27/4308/10074/60113548Ea9bb7dbb/be0bac01dccf5f52.png",
"name": "7天价保",
"shortDesc": "7天内买贵退差价",
"iHelpLink": "https://ihelp.jd.com/l/help/scene/getSceneDetail?id=325798",
"ihelpLink": "https://ihelp.jd.com/l/help/scene/getSceneDetail?id=325798",
"mimgUrl": "//m.360buyimg.com/babel/jfs/t1/222474/40/8926/4033/61de8162E9b3a5a0c/b11a4cc5342015b0.png",
"mimgUrl2": "//m.360buyimg.com/lme/jfs/t1/222228/21/20461/3101/63048db5Ef37ece2e/83f0be5658b2f25b.png"
},
{
"code": "s24",
"desc": "签收后72小时内(鱼缸类商品需24小时内)发现非用户原因商品破损问题,提供退换货或补发商品等服务",
"logoUrl": "//m.360buyimg.com/babel/jfs/t1/165294/34/4317/1381/60113548E6eeea0be/3da037b6d436cda6.png",
"name": "破损包退换",
"shortDesc": "商品破损包退包换",
"mimgUrl": "//m.360buyimg.com/babel/jfs/t1/219430/22/10828/5229/61de8162E4e3e011e/15400959dff92730.png",
"mimgUrl2": "//m.360buyimg.com/lme/jfs/t1/171083/32/29633/1927/63036085Ea2a870b4/6ca0d9411282993c.png"
},
{
"code": "s141",
"desc": "由京东指定供应商提供售后服务",
"name": "供应商售后",
"shortDesc": "京东指定供应商售后"
},
{
"code": "s84",
"desc": "签收后60天内,使用商品出现过敏,在提供有效凭证的情况下,提供退换货服务",
"helpUrl": "https://pro.m.jd.com/mall/active/t4qQcCeoMSunJ3Sy2HkXTvchXSh/index.html",
"logoUrl": "//m.360buyimg.com/babel/jfs/t1/170069/32/11817/26509/6049c076E62183936/b3a7617acee4c422.png",
"name": "过敏无忧",
"shortDesc": "过敏包退",
"mimgUrl": "//m.360buyimg.com/babel/jfs/t1/145232/22/20941/4359/61de8162E9503de86/cda410507d44589c.png",
"mimgUrl2": "//m.360buyimg.com/lme/jfs/t1/46409/11/20707/2660/630372b6E416e3194/8d1b7b30b4714c99.png"
}
]
},
"isSupport": true
},
"commonInfo": {
"brandUrl": "https://pro.m.jd.com/mall/active/2QhXdFjy7eHoC9fFRyq8FAzK3ZUZ/index.html?babelChannel=ttt7&innerAnchor=100117219515",
"jdMini": false,
"baitiaoSwitch": false,
"dataReport": false,
"koSwitch": false,
"videoPlaySwitch": true,
"pyby3": false,
"yhfgPrePrice": false,
"priceLoginText": "登录查看价格",
"urgeLogin": true,
"limit": {},
"businessSwitch": {
"activeOneJump": true,
"bybtPromoPromise": true,
"accessoryRecommend": true,
"industrialSale": true,
"yx3cnDemote": true,
"reservationTime": true,
"installServiceRequired": true,
"guessLike": true,
"overseaAuthorize": false,
"adjustGoods": true,
"jxSiteId": false,
"hotAccessory": true,
"dcjxText": true,
"yuyueInter": true,
"carFreeSwitch": true,
"disableWarrantySwitch": true,
"addressIsNewCache": false,
"qzcPromoPromise": true,
"tiresTssp": true,
"jxBuyOne": true
},
"businessIcon": {
"beautyGiftIcon": "https://storage.360buyimg.com/jxfe/ppms/c/202405/20/f6debd48-26de-404d-8704-69a1868d1db8.png"
},
"businessText": {
"presaleCouponPriceText": "券促信息发生变化或被使用时,付尾款时价格会跟随变化",
"promoText": {
"enterpriseTagText": "内购补贴",
"enterpriseText": "享受%s折"
},
"cartSwitchButtonText": "加入购物车",
"stateSubsidiesText": {
"rebate": "最高可享受%s优惠",
"toAppText": "前往APP享国家补贴",
"discount": "最多可享受%s元优惠"
},
"memberStrengtheningAgreementText": "勾选即代表同意开通会员",
"similarButtonBackgroundColor": "#FF0F23",
"outOfStockButtonText": "无货"
},
"businessConfig": {
"limitCartNumDefault": "200"
},
"colorJsonpEnable": true,
"unifiedForbidSwitch": true,
"enterpriseRegular": false,
"wqAddrDefault": "0|1_72_55674_0|北京_朝阳区_麦子店街道_|北京市朝阳区麦子店街道朝阳公园|116.482276,39.944093",
"avpJd": false
},
"apiForbid": [
"/urlM",
"/commodity/locmatch/getlocmatchinfo",
"/commodity/introduction/gettemplate",
"/commodity/extension/suitprice",
"/ubanalysis",
"/commodity/extension/getsettlementurl",
"/deal/miao/IsMiao",
"/commodity/extension/fqyprice",
"/vipplus/VerifyAuthUser",
"/commodity/extension/checkfqycredit",
"/active/getfunction",
"/commodity/extension/CarFinanceLink",
"/cutitem/MGetActInfoBySku"
],
"category": {
"categoryId": 1316,
"categoryName": "美妆护肤",
"categoryNameAlias": "",
"fatherCategoryId": 0,
"categoryClass": 0,
"status": 1,
"orderSort": 6,
"yn": 1,
"img": "",
"created": 1366026533000,
"modified": 1526029963000
},
"pingou": "",
"ptqq": "",
"kanjia": "",
"bigouinfo": "",
"promov2": [
{
"id": "100117219515",
"hit": "0",
"vl": 0,
"pl": 0,
"jl": 0,
"isPlusDiscount": 0,
"pis": [
{
"customtag": "{\"p\":\"699.00\"}",
"pid": "352787071432_1",
"extInfo": {
"virtualType": "PROMO_TYPE_unit"
},
"st": "1772294400",
"isBeauty": false,
"d": "1774972799",
"promoType": 1,
"ori": "1",
"subPromoType": 1001
},
{
"18": "满300元、1500元、3000元、5000元可得相应赠品,赠完即止,请在购物车点击领取",
"minNeedMoney": 300,
"pid": "299631861510_10",
"extInfo": {
"virtualType": "TAG_sum_Overlay_MZ",
"skin": "9"
},
"etg": "1040,10048",
"searchUrl": "https://wqsou.jd.com/coprsearch/prsearch?promotion_aggregation=yes&activity_id=299631861510&pro_d=%E6%BB%A1%E8%B5%A0&pro_s=%E6%BB%A1300%E5%85%83%E3%80%811500%E5%85%83%E3%80%813000%E5%85%83%E3%80%815000%E5%85%83%E5%8F%AF%E5%BE%97%E7%9B%B8%E5%BA%94%E8%B5%A0%E5%93%81%EF%BC%8C%E8%B5%A0%E5%AE%8C%E5%8D%B3%E6%AD%A2%EF%BC%8C%E8%AF%B7%E5%9C%A8%E8%B4%AD%E7%89%A9%E8%BD%A6%E7%82%B9%E5%87%BB%E9%A2%86%E5%8F%96&filt_type=productext2,b40v0",
"st": "1747718700",
"isBeauty": true,
"d": "1779206399",
"promoType": 10,
"ori": "1",
"subextinfo": "{\"extType\":16,\"subExtType\":28,\"subRuleList\":[{\"needMoney\":\"300\",\"optionalGiftNum\":\"1\",\"subRuleList\":[]},{\"needMoney\":\"1500\",\"optionalGiftNum\":\"1\",\"subRuleList\":[]},{\"needMoney\":\"3000\",\"optionalGiftNum\":\"1\",\"subRuleList\":[]},{\"needMoney\":\"5000\",\"optionalGiftNum\":\"1\",\"subRuleList\":[]}]}",
"subPromoType": 4001
}
],
"beauty": true
}
],
"allOverImg": "",
"mainVideoId": "",
"infoVideoId": "",
"plusMemberType": "0",
"magicLevel": "",
"plusFlag": "000",
"chnImg": [],
"yuyueDraw": "",
"hasYuyue": "0",
"activeInfo": [
{
"isPromotion": false,
"enable": true,
"icon": "https://m.360buyimg.com/cc/jfs/t1/126470/2/26831/2462/6333e65cE51d9013e/41e434f92cc1690b.png",
"text": "充多送多,最高不止97折,叠加券价京豆超优惠→",
"title": "京东超市卡",
"mark": "jdcsk",
"url": "https://pro.m.jd.com/mall/active/3KehY4eAj3D1iLzFB7p5pb68qXkT/index.html?babelChannel=ttt52&showhead=no&hideBack=1&forceCurrentView=1"
}
],
"plusLimitBuy": {
"resultFlag": true,
"limitNum": 0,
"noSaleFlag": 0,
"resultExt": {
"noSaleFlag": "0",
"strategyFlag": "0",
"isPlusLimit": "0",
"limitUserFlag": "1",
"exclusivePeopleLimitState": "0",
"limitAreaFlag": "1",
"limitPeopleFlag": "1"
},
"limitTotal": 0,
"limitEveDayNum": 0,
"limitTotalNum": 0,
"noSaleFlagBybt": 0,
"limitCartNum": 999
},
"isMaskSku": "",
"hasSubscribe": "",
"ruId": "",
"model3DId": "",
"wq_addr": "",
"isFestival": "",
"upc": "1001172195159",
"daojia": "",
"isNeedEncrypt": "",
"huanUrl": "",
"slowPayItem": "",
"slowPayItemUrl": "",
"tagidList": [
[
10006506
]
],
"rightUpImg": "https://m.360buyimg.com/umm/jfs/t1/391585/31/21637/204/698d959bF401fb794/01530c80a0dd5495.png",
"couponFloor": {
"skuInfo": {
"global": "0",
"limitCouponDesc": "",
"sku": "100117219515",
"useDong": "1",
"useJing": "1"
}
},
"jxgf": {
"type": 0,
"recommendinfo": {},
"shopItemList": [],
"iconcode": ""
},
"flag": {
"plusVender": "0"
},
"pricerate": {
"ratetype": "",
"rate": ""
},
"uaShield": [
"BOB",
"jdheapp",
"com.unionpay.chsp",
"com.unionpay.mobilepay",
"Bankabc",
"unicom",
"wopaywallet",
"CtClient",
"bestpay",
"jdsmart",
"F-WAPB",
"jdmini",
"JDME",
"bocapp",
"AVP-JD",
"miguvideo",
" QQ/",
"wangmaster",
"shanneng",
"ZHIHUIXINGZHENG",
"JDJR-App",
"vspapp",
"wandechu",
"ewyapp",
"ynby",
"CoreInside",
"dingtalk",
"GatApp",
"Lark",
"水博荟",
"suStar",
"sandlife",
"Qing",
"seeyonCordova",
"wxwork",
"GatHarmonyApp",
"Feishu",
"FeishuTTWebView",
"DingduannewsNative",
"s365",
"ecton-app",
"jflkajsfklejflkajflkajfklj",
"alllink",
"xiabenapp",
"gdapp",
"dfapp",
"bfdapp",
"万齐福礼",
"GTJA LINK",
"hzwf",
"jsbj-hgj",
"HnegUA",
"hxyhzhshapp",
"htkjtrip",
"cn.sm.eventx.crossevent",
"DingTalk",
"nmoa_android_online",
"nmoa_ios_online",
"nmoa_ios_bangs_online",
"QzApp",
"wx54c5683ae3f8a574",
"com.alibaba.android.rimet.ynby",
"vetech",
"qinmanshandian/1.0.0",
"com.aijinghuijing.web",
"cgbMobileBank",
"qinmanshandian/1.0.0",
"app_mall/1.0.0",
"zwwx-customized",
"yst",
"hrtbrowser",
"zwwx-customized",
"BFD-APP",
"MAX-APP",
"DingTalk",
"hebao",
"zwwx-customized",
"unicom",
"bankabc",
"CloudMercWebView",
"jdxtbgwe",
"ssbzwy",
"joyaiapp",
"hxbcc",
"Bankabc",
"jdxtbg",
"xinsuixing",
"ngdapp",
"Hebao",
"HEBAO",
"HeBao",
"zhenghaoban",
"poc/xinsuixing",
"TheCover",
"uem/app",
"WorkbenchType_1",
"allink",
"MOA_NEW",
"BoComMOBS",
"ARDapp",
"AliApp",
"xinsuixing",
"SFHybrid",
"建行生活app",
"CMCCIT",
"Baiyaapp",
"cltnapp",
"BQDMobileBank",
"MOA_NEW",
"appname/wxworklocal-customized",
"wscs",
"qqxb",
"tyfoApp",
"jdpointsmall",
"yunmaapp.net",
"wensth",
"sinothk_app",
"SytljXfsjApp",
"MOA",
"MOA/MOA.ZQ",
" /MOA.ZQ/",
"iCenter",
"YunjiaofeiClient",
"yunjiaofeiClient",
"suStar",
"gongjiayun",
"suStar Custom/xinrun jingdong"
],
"digitalCurrencyTips": "",
"payAddress": {
"wx_main_url": "//trade.m.jd.com/pay",
"gray_global_url": "//trade.m.jd.com/pay",
"main_url": "//trade.m.jd.com/pay",
"global_url": "//trade.m.jd.com/pay",
"gray_main_url": "//trade.m.jd.com/pay"
},
"shareInfo": {
"title": "黛珂AQ舒活凝光轻润型水乳套装200ml 紧致抗皱保湿护肤品 生日礼物",
"shortTitle": "",
"bybtTitle": "",
"batchId": 0,
"discount": 0,
"couponType": 0,
"couponStyle": 0
},
"channelInfo": {
"sourceType": "m-item",
"isShortItem": false,
"shortItemType": "",
"forbidConfig": {
"rightClose": false,
"redirectHK": false,
"descDetailNotLinkTip": "",
"bloodSugar": false,
"selectFloor": false,
"bottomButtonTip": "",
"servicePopLink": false,
"shopSelectFloor": false,
"businessEntry": false,
"yinliu": false,
"shopDetail": false,
"productDetailVideo": false,
"footPrint": false,
"couponFullReduction": false,
"rankFloor": false,
"samVipFloor": false,
"addressFloor": false,
"couponGift": false,
"fluxStrip": false,
"carSubscript": false,
"hotFitFloor": false,
"colorSwitchFloor": false,
"drugList": false,
"couponDiscount": false,
"panorama": false,
"commentVideo": false,
"sourceType": "m-item",
"commonHeader": false,
"secneBuy": false,
"newLabel": false,
"adKey": false,
"markdownWarn": false,
"liveDoor": false,
"mainVideo": false,
"bybtBannerLink": false,
"recovery": false,
"viewMoreBottom": false,
"secondKillLink": false,
"couponFullReturn": false,
"bookIntroduction": false,
"viewMoreSide": false,
"bottomButton": false,
"rightNavigation": false,
"tryRead": false,
"recommendTab": false,
"inspectReport": false,
"commentReply": false,
"commentFloor": false,
"pybyBannerLink": false,
"openPlus": false,
"ldpFloor": false,
"rightTopShare": false,
"askFloor": false,
"multiFreight": false,
"descDetailNotLink": false,
"guccessLikeFloor": false,
"leftHomeOrBack": false,
"selectService": false,
"noticeFloor": false
},
"descDetailNotLinkTip": "",
"bottomButtonTip": "",
"address": false
},
"floorForbids": {
"rightClose": false,
"redirectHK": false,
"descDetailNotLinkTip": "",
"bloodSugar": false,
"selectFloor": false,
"bottomButtonTip": "",
"servicePopLink": false,
"shopSelectFloor": false,
"businessEntry": false,
"yinliu": false,
"shopDetail": false,
"productDetailVideo": false,
"footPrint": false,
"couponFullReduction": false,
"rankFloor": false,
"samVipFloor": false,
"addressFloor": false,
"couponGift": false,
"fluxStrip": false,
"carSubscript": false,
"hotFitFloor": false,
"colorSwitchFloor": false,
"drugList": false,
"couponDiscount": false,
"panorama": false,
"commentVideo": false,
"sourceType": "m-item",
"commonHeader": false,
"secneBuy": false,
"newLabel": false,
"adKey": false,
"markdownWarn": false,
"liveDoor": false,
"mainVideo": false,
"bybtBannerLink": false,
"recovery": false,
"viewMoreBottom": false,
"secondKillLink": false,
"couponFullReturn": false,
"bookIntroduction": false,
"viewMoreSide": false,
"bottomButton": false,
"rightNavigation": false,
"tryRead": false,
"recommendTab": false,
"inspectReport": false,
"commentReply": false,
"commentFloor": false,
"pybyBannerLink": false,
"openPlus": false,
"ldpFloor": false,
"rightTopShare": false,
"askFloor": false,
"multiFreight": false,
"descDetailNotLink": false,
"guccessLikeFloor": false,
"leftHomeOrBack": false,
"selectService": false,
"noticeFloor": false
},
"bottomBar": {
"sceneName": "正常购买",
"sceneType": "normalPurchase",
"buttonMap": {
"shop": {
"enable": true,
"name": "店铺",
"link": "",
"type": "shop"
},
"addCart": {
"enable": true,
"name": "加入购物车",
"link": "",
"type": "addCart"
},
"customerService": {
"enable": true,
"name": "客服",
"link": "",
"type": "customerService"
},
"buy": {
"enable": true,
"name": "立即购买",
"link": "111",
"type": "buy"
},
"cart": {
"enable": true,
"name": "购物车",
"link": "",
"type": "cart"
}
}
},
"bottomNav": {
"enable": true,
"executorCode": "normalBuy",
"viewId": "normalBuy",
"viewName": "正常购买",
"left": {
"enable": true,
"type": "left",
"text": "加入购物车",
"textColor": "",
"subText": "",
"backgroundColor": "linear-gradient(135deg,#f2140c,#f2270c 70%,#f24d0c);",
"waver": true,
"eventId": 2,
"eventUrl": ""
},
"right": {
"enable": true,
"type": "right",
"text": "立即购买",
"textColor": "",
"subText": "",
"backgroundColor": "linear-gradient(135deg,#ffba0d,#ffc30d 69%,#ffcf0d);",
"waver": true,
"eventId": 3,
"eventUrl": "//trade.m.jd.com/pay?sceneval=2&scene=jd&isCanEdit=1&EncryptInfo=&Token=&bid=&type=0&lg=0&supm=0"
},
"tips": {
"text": "",
"backgroupColor": "",
"textColor": "",
"amsg": "",
"amsgUrl": ""
},
"popup": {
"title": "",
"content": "",
"leftButton": "",
"rightButton": ""
},
"customerServiceLink": "https://jdcs.m.jd.com/?sku=100117219515&entry=m_item"
},
"drainageStrip": {
"topDrainageStrip": {
"downloadAppContentBtnStyle": "",
"downloadApplogo": "//storage.360buyimg.com/unionfe/mkt/prod/yinliu/img/joy.png",
"downloadAppContentBtn": "立即打开",
"downloadAppContentUpStyle": "",
"downloadAppImg": "//storage.360buyimg.com/unionfe/mkt/prod/yinliu/img/yl_exp/bg.png",
"downloadAppContentUP": "京东购物,又好又便宜",
"downloadAppContentDown": "品质外卖&酒店 就上京东",
"downloadAppContentDownStyle": ""
},
"btmDrainageStrip": [
"打开京东APP",
"又好又便宜"
],
"tipsDrainageStrip": {
"cancel": "继续逛逛",
"confirm": "点击极速下载",
"linking": "//storage.360buyimg.com/unionfe/mkt/prod/yinliu/img/linking.png",
"logo": "//storage.360buyimg.com/unionfe/mkt/prod/yinliu/img/joy.png",
"title": "快来下载京东APP",
"loading": "正在为您打开…",
"tips": "此功能需访问京东APP"
}
},
"floorSwitch": {
"floorGift": false,
"floorAd": false,
"floorRank": false,
"floorSpecialService": false,
"floorAddress": false,
"floorPromoComb": true,
"floorAboveTitleTag": false,
"floorPrice": true,
"floorBanner": true
},
"bottomLoginTips": {
"bgColor": "rgba(0, 0, 0, 0.7);",
"bgImg": "https://storage.360buyimg.com/jxfe/ppms/c/202312/08/9234b13a-021e-4b37-bc2f-6870d294c6a8.png",
"icon": "https://storage.360buyimg.com/jxfe/ppms/c/202312/01/f4c32592-3dc3-4326-9b65-dfd705dbacbf.png",
"rightText": "立即登录",
"rightTextColor": "#ffffff",
"rightBgColor": "linear-gradient(90deg, #FF404F 0%, #FA2C19 100%);",
"texts": [
{
"color": "#ffffff",
"text": "登录后可查看"
},
{
"color": "#FFBF00",
"text": "商品到手价"
}
]
}
}
}💡 Note: For list data, the example shows only 1-2 items for simplicity. The actual count depends on the API response.
